Bug 442340 - kernel BUG at include/asm/spinlock.h:146!
kernel BUG at include/asm/spinlock.h:146!
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 10:25 EDT by Tomasz Jaszowski
Modified: 2011-11-03 13:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 13:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Jaszowski 2008-04-14 10:25:27 EDT
Description of problem:

kernel panic

Apr  9 10:22:10 server1 sshd(pam_unix)[20923]: authentication failure; logname=
uid=0 euid=0 tty=ssh ruser= rhost=mail2.axit.pl  user=root
Apr  9 10:22:15 server1 sshd(pam_unix)[21707]: session opened for user root by
root(uid=0)
Apr  9 10:22:19 server1 su(pam_unix)[22403]: session opened for user user1 by
root(uid=0)
Apr  9 10:24:40 server1 su(pam_unix)[22403]: session closed for user user1
Apr  9 10:25:29 server1 sshd(pam_unix)[11587]: session opened for user root by
root(uid=0)
Apr  9 10:28:43 server1 sshd(pam_unix)[29921]: session opened for user root by
root(uid=0)
Apr  9 10:29:24 server1 eip: c011e8a8
Apr  9 10:29:24 server1 ------------[ cut here ]------------
Apr  9 10:29:24 server1 kernel BUG at include/asm/spinlock.h:146!
Apr  9 10:29:24 server1 invalid operand: 0000 [#1]
Apr  9 10:29:24 server1 SMP
Apr  9 10:29:24 server1 Modules linked in: mptctl mptbase 8021q sg cpqci(U)
dgdm(U) i2c_dev i2c_core fuse(U) dm_mirror dm_mod button battery ac uhci_hcd
ehci_hcd hw_random tg3(U) bonding(U) floppy ext3 jbd cciss sd_mod scsi_mod
Apr  9 10:29:24 server1 CPU:    0
Apr  9 10:29:24 server1 EIP:    0060:[<c02d33f6>]    Tainted: P      VLI
Apr  9 10:29:24 server1 EFLAGS: 00010016   (2.6.9-42.0.2.ELsmp)
Apr  9 10:29:24 server1 EIP is at _spin_lock_irqsave+0x20/0x45
Apr  9 10:29:24 server1 eax: c011e8a8   ebx: 00000246   ecx: c02e7077   edx:
c02e7077
Apr  9 10:29:24 server1 esi: e0b9feec   edi: 00000283   ebp: f7feaf68   esp:
f7feaf50
Apr  9 10:29:24 server1 ds: 007b   es: 007b   ss: 0068
Apr  9 10:29:24 server1 Process khelper (pid: 14, threadinfo=f7fea000 task=f7f7b230)
Apr  9 10:29:24 server1 Stack: e0b9fee8 e0b9feec c011e8a8 e0b9fdd4 e0b9fdd8
00000283 f7e54000 c0130c63
Apr  9 10:29:24 server1 e0b9fe14 c01307d6 ffffffff ffffffff 00000001 00000000
c011e794 00010000
Apr  9 10:29:24 server1 00000000 c0416120 c33b9de0 00000000 00000000 f7f7b230
c011e794 00100100
Apr  9 10:29:24 server1 Call Trace:
Apr  9 10:29:24 server1 [<c011e8a8>] complete+0x12/0x3d
Apr  9 10:29:24 server1 [<c0130c63>] worker_thread+0x168/0x1d5
Apr  9 10:29:24 server1 [<c01307d6>] __call_usermodehelper+0x0/0x41
Apr  9 10:29:24 server1 [<c011e794>] default_wake_function+0x0/0xc
Apr  9 10:29:24 server1 [<c011e794>] default_wake_function+0x0/0xc
Apr  9 10:29:24 server1 [<c0130afb>] worker_thread+0x0/0x1d5
Apr  9 10:29:24 server1 [<c01341ed>] kthread+0x73/0x9b
Apr  9 10:29:24 server1 [<c013417a>] kthread+0x0/0x9b
Apr  9 10:29:24 server1 [<c01041f5>] kernel_thread_helper+0x5/0xb
Apr  9 10:29:24 server1 Code: 81 00 00 00 00 01 c3 f0 ff 00 c3 56 89 c6 53
9c 5b fa 81 78 04 ad 4e ad de 74 18 ff 74 24 08 68 77 70 2e c0 e8 aa f4 e4 ff
59 58 <0f> 0b 92 00 e2 60 2e c0 f0 fe 0e 79 13 f7 c3
00 02 00 00 74 01
Apr  9 10:29:24 server1 <0>Fatal exception: panic in 5 seconds


Version-Release number of selected component (if applicable):

RH4U4 with some minor updates
kernel 2.6.9-42.0.2.ELsmp

How reproducible:
no idea

Steps to Reproduce:
1.
2.
3.
  
Actual results:
kernel panic

Expected results:
no kernel panic

Additional info:

Root logged in, but only changed to user1 (su -). Server was working for several
days without any problems. No idea what happened. Also kernel panic message did
not give me any clue what happened :/
Comment 1 Prarit Bhargava 2008-05-07 07:18:40 EDT
While this is a panic, there isn't enough data in this BZ to diagnose exactly
what happened.  Closing as INSUFFICIENT_DATA.  Tomasz, if you get more
information about this panic, please feel free to reopen the bug and add new
comments.

Thanks,

P.

Note You need to log in before you can comment on or make changes to this bug.